AbstractCommitSessionValve (Apache Geode 1.15.4)

org.apache.geode.modules.session.catalina

## Class AbstractCommitSessionValve<SelfT extends AbstractCommitSessionValve<?>>

- java.lang.Object
- - org.apache.catalina.valves.ValveBase
  - - org.apache.geode.modules.session.catalina.AbstractCommitSessionValve<SelfT>

- All Implemented Interfaces:
    MBeanRegistration, org.apache.catalina.Contained, org.apache.catalina.Valve
  Direct Known Subclasses:
    Tomcat6CommitSessionValve, Tomcat7CommitSessionValve, Tomcat8CommitSessionValve, Tomcat9CommitSessionValve

      public abstract class AbstractCommitSessionValve<SelfT extends AbstractCommitSessionValve<?>>
      extends org.apache.catalina.valves.ValveBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `info`

    - ### Fields inherited from class org.apache.catalina.valves.ValveBase

      `container, containerLog, controller, domain, mserver, next, oname, sm`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static <SelfT extends AbstractCommitSessionValve<?>> void` | `commitSession(org.apache.catalina.connector.Request request)` Commit session only if DeltaSessionManager is in place.
    `void` | `invoke(org.apache.catalina.connector.Request request, org.apache.catalina.connector.Response response)`

    - ### Methods inherited from class org.apache.catalina.valves.ValveBase

      `backgroundProcess, createObjectName, event, getContainer, getContainerName, getController, getDomain, getInfo, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### info

          protected static final String info

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### invoke

          public void invoke(org.apache.catalina.connector.Request request,
                             org.apache.catalina.connector.Response response)
                      throws IOException,
                             javax.servlet.ServletException

      Specified by:
        `invoke` in interface `org.apache.catalina.Valve`
      Specified by:
        `invoke` in class `org.apache.catalina.valves.ValveBase`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### commitSession

          protected static <SelfT extends AbstractCommitSessionValve<?>> void commitSession(org.apache.catalina.connector.Request request)

      Commit session only if DeltaSessionManager is in place.
      Type Parameters:
        `SelfT` - the type of AbstractCommitSessionValve being used by the DeltaSessionManager
      Parameters:
        `request` - to commit session from.